Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Try Vanilla Forums Cloud product
Vanilla 2.6 is here! It includes security fixes and requires PHP 7.0. We have therefore ALSO released Vanilla 2.5.2 with security patches if you are still on PHP 5.6 to give you additional time to upgrade.

Still getting this PHP error [RESOLVED]

snootysnooty Florida
edited June 14 in Vanilla 2.6 Help

Because of the below error, I had to switch to a different forum script in one of my forum websites. I just checked another forum of mine using Vanilla and getting the same error. Any ideas on what could be causing this? I tried a test post as a new member and the error came up again. I want to stay with Vanilla if I can, but this error is preventing people from posting I see. It happens after Vanilla "saves to draft" while still typing a comment. When you hit post, the error window pops up. If you want to test it out for yourself, let me know and I will give the link.

Here is the error, which BTW, if you put in Google, (using quotes for the exact error) I see others using Vanilla are having the same problem.

{ "Code": 403, "Exception": "You need the Garden.Community.Manage permission to do that.", "Class": "Gdn_UserException" }

Comments

  • jeongweejeongwee Vanilla version 2.2 ✭✭

    2.6 has many bug, i cant even finish the install.

  • whu606whu606 I'm not a SuperHero; I just like wearing tights... Moderator

    @jeongwee

    That is inaccurate and unhelpful.

    Which of these many bugs have you reported on GitHub?

  • jeongweejeongwee Vanilla version 2.2 ✭✭
    edited June 12

    @whu606 @snooty
    sry, i didnt mean that. ~~...
    but i met a lot trouble installing the 2.6 which is frustrate me to use it,
    it was easy to finish the installation on the previous versions i use.
    i have found something wrong , but im not sure is it a bug or not.
    https://open.vanillaforums.com/discussion/36356/report-bug-no-class-name-from-html-code-on-vanilla-discussions-index-page#latest
    and sry, i only used github once, i thought report on forum also helps.

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    @snooty please send me login credentials and I will have a look at it.

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    @jeongwee:
    You've had a problem because you wanted to use a feature without having the requirements (memcached)
    The next error has been that you haven't downloaded the installable package and haven't read the readme file which comes with the package that you have downloaded, otherwise you wouldn't have run into that problem.
    You haven't read the readme concerning the htaccess.
    You haven't read the minimum requirements.

    Yes, you might not be able to finish the install procedure, but my personal impression is, that this doesn't mean anything...

  • snootysnooty Florida

    How do I send you a PM RJ? Thx

  • whu606whu606 I'm not a SuperHero; I just like wearing tights... Moderator

    @snooty

    Switch to full site view and click the inbox icon.

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    @snooty said:
    How do I send you a PM RJ? Thx

    I've started a conversation with you and you can simply reply there

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    @snooty said:
    Because of the below error, I had to switch to a different forum script in one of my forum websites. I just checked another forum of mine using Vanilla and getting the same error. Any ideas on what could be causing this? I tried a test post as a new member and the error came up again. I want to stay with Vanilla if I can, but this error is preventing people from posting I see. It happens after Vanilla "saves to draft" while still typing a comment. When you hit post, the error window pops up. If you want to test it out for yourself, let me know and I will give the link.

    Here is the error, which BTW, if you put in Google, (using quotes for the exact error) I see others using Vanilla are having the same problem.

    { "Code": 403, "Exception": "You need the Garden.Community.Manage permission to do that.", "Class": "Gdn_UserException" }

    I've created a test user and got that error as well. The code which is responsible for the error message is here: github.com/vanilla/vanilla/blob/release/2.5/applications/vanilla/controllers/class.postcontroller.php#L239-L253

    The exact code is elseif ((val('InsertUserID', $draftObject) != $Session->UserID) && !checkPermission('Garden.Community.Manage')) {

    Some lines above you can find $session = Gdn::session();

    So the reason for the error is simply that $session is defined in lower case and at this place used a $Session with upper case.

    You have got two options: first one is to update to Vanilla 2.6 and the second one is to look around line 245 in class.postcontroller.php for } elseif ((val('InsertUserID', $draftObject) != $Session->UserID) && !checkPermission('Garden.Community.Manage')) { and change $Session to $session

  • snootysnooty Florida
    edited June 13

    Thank you RJ. I thought I WAS using v2.6? Interesting. I had Softaculous install it, but that was a while ago.

    The forum I had to replace Vanilla with another forum software was only built a week ago though. I wonder if Softaculous is not installing the latest version of Vanilla?

    I think it best I update to v2.6 to correct this error. Thanks again whu606 and RJ.

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    Using installer scripts is bad for two reasons: you will never know if any problem is caused by Vanilla or their installer script and you might face errors that we cannot support.

    Installing Vanilla is not difficult. There is no need/justification for using installer scripts

    Bleistivt
  • snootysnooty Florida
    edited June 14

    Well, you can show this thread **resolved ** RJ, I uploaded Vanilla 2.6 using FTP and all is fine.

    I just noticed Softaculous was using v2.51
    Wish I would have noticed this when I did the initial install, would have saved a lot of grief. Thx again.

Sign In or Register to comment.